# Class ExpandRowContainerComponent<Data>

#### Type Parameters

- Data extends Record<string, any>

#### Implements

- AfterContentInit
- OnDestroy

- Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts:53

#####
Index

### Constructors

constructor

### Properties

element
expandCell
expandCellContent?
portal

### Methods

ngAfterContentInit
ngOnDestroy

##
Constructors

### constructor

- new ExpandRowContainerComponent<Data extends Record<string, any>>(
  viewContainerRef: ViewContainerRef,
  expandCell: ExpandRowService<Data>,
  ): ExpandRowContainerComponent<Data>

  #### Type Parameters

  - Data extends Record<string, any>

  #### Parameters

  - viewContainerRef: ViewContainerRef
  - expandCell: ExpandRowService<Data>

  #### Returns ExpandRowContainerComponent<Data>

  - Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts:65

##
Properties

### element

element: Data

- Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts:56

### `Readonly` expandCell

expandCell: ExpandRowService<Data>

- Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts:69

### `Optional` expandCellContent

expandCellContent?: ExpandRowContentDirective<Data>

- Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts:59

### portal

portal: null | TemplatePortal<ExpandCellContentDirectiveContext<Data>> = null

- Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts:61

##
Methods

### ngAfterContentInit

- ngAfterContentInit(): void

  A callback method that is invoked immediately after Angular has completed initialization of all of the directive's content. It is invoked only once when the directive is instantiated.

  #### Returns void

  Implementation of AfterContentInit.ngAfterContentInit

  - Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts:77

### ngOnDestroy

- ngOnDestroy(): void

  A callback method that performs custom clean-up, invoked immediately before a directive, pipe, or service instance is destroyed.

  #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row-container/expand-row-container.component.ts:73